/* -------------------------------------------------------------------
	Objective-C interface file for the class RDRGridView

	Author: Chris Walters, RDR, Inc.

	You may freely copy, distribute and reuse the
	code in this example.  I disclaim any warranty
	of any kind, expressed or implied, as to its
	fitness for any particular use.

--------------------------------------------------------------------*/

/*====================================================================
                    Interface of class RDRGridView                    
====================================================================*/
#import <appkit/View.h>

@interface RDRGridView : View
{
				/* attribute stuff */
    NXColor bgColor, fgColor;
    int horizontalSpacing, verticalSpacing;
    float horizontalLineWidth, verticalLineWidth;
    BOOL gridEnabled;
				/* user path stuff */
    short *gridPoints;
    int numPoints;
    char *gridOps;
    short *gridBounds;
}

/* -------------------------- Initialize -------------------------- */
-initFrame:(const NXRect *)frameRect;

/* ----------------- setting/querying attributes ------------------ */
-(NXColor)foregroundColor;
-setGridForegroundColor:(NXColor)newColor;
-(NXColor)backgroundColor;
-setGridBackgroundColor:(NXColor)newColor;
-(BOOL)isEnabled;
-setEnabled:(BOOL)flag;
-setHorizontalWidth:(float)newWidth;
-(float)horizontalWidth;
-setVerticalWidth:(float)newWidth;
-(float)verticalWidth;
-setHorizontalSpacing:(int)newSpacing;
-(int)horizontalSpacing;
-setVerticalSpacing:(int)newSpacing;
-(int)verticalSpacing;

/* ----------------------- drawing methods ------------------------ */
-drawSelf:(const NXRect *)rects :(int)rectCount;

/* ----------------------- User path setup ------------------------ */
-makeUserPath;
-sizeTo:(NXCoord)width :(NXCoord)height;

/* ----------------------------- Free ----------------------------- */
-free;

/* --------------------------- Archival --------------------------- */
-read:(NXTypedStream *)stream;
-write:(NXTypedStream *)stream;
-awake;
- (const char *)inspectorName;

@end
